Prev |  | Next

# FcFreeTypeQueryAll

## Name

FcFreeTypeQueryAll -- compute all patterns from font file (and index)

## Synopsis

    #include <fontconfig.h>
    #include <fcfreetype.h>

``unsigned int FcFreeTypeQueryAll`(const FcChar8 *file, int id, FcBlanks *blanks, int *count, FcFontSet *set);`

## Description

Constructs patterns found in 'file'. If id is -1, then all patterns found in 'file' are added to 'set'. Otherwise, this function works exactly like FcFreeTypeQuery(). The number of faces in 'file' is returned in 'count'. The number of patterns added to 'set' is returned. FcBlanks is deprecated, `blanks` is ignored and accepted only for compatibility with older code.

## Since

version 2.12.91

Prev | Home | Next
FcFreeTypeQuery | Up | FcFreeTypeQueryFace